unit umain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  udebib32, ComCtrls, Ubackup, StdCtrls, ExtCtrls, Buttons, FileCtrl, VisApp;

type
  TForm1 = class(TForm)
    Status: TStatusBar;
    Panel1: TPanel;
    Button1: TButton;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    BitBtn3: TBitBtn;
    BitBtn6: TBitBtn;
    Progress: TProgressBar;
    GroupBox2: TGroupBox;
    Directory: TDirectoryListBox;
    Drives: TDriveComboBox;
    GroupBox3: TGroupBox;
    DirectoryListBox1: TDirectoryListBox;
    DriveComboBox1: TDriveComboBox;
    GroupBox4: TGroupBox;
    DirectoryListBox2: TDirectoryListBox;
    UseLog: TCheckBox;
    logFileName: TEdit;
    UB: TUBackup;
    GroupBox1: TGroupBox;
    FilesToBackup: TEdit;
    HandleSubDirs: TCheckBox;
    procedure Button1Click(Sender: TObject);
    procedure DrivesChange(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure UBFileFound(Sender: TObject);
    procedure UBPercent(Sender: TObject);
    procedure UBReady(Sender: TObject);
    procedure DriveComboBox1Change(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure BitBtn6Click(Sender: TObject);
    procedure UBStartFileScan(Sender: TObject);
    procedure UBNextFile(Sender: TObject);
    procedure UseLogClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
   close;
end;

procedure TForm1.DrivesChange(Sender: TObject);
begin
   Directory.Enabled := upcase(Drives.Drive)>'B';
   Directory.Visible := upcase(Drives.Drive)>'B';
end;

procedure TForm1.BitBtn3Click(Sender: TObject);
begin
   Screen.Cursor := CrHourglass;
   UB.BackupOn := Directory.Directory;
   UB.FilesToBackup.Clear;
   if UseLog.Checked then
   begin
      UB.UseLogFile := OVERWRITE_LOG;
      UB.LogFileName:= LogFileName.Text;
   end;
   if HandleSubDirs.Checked then
    UB.FilesToBackup.Add(FilesToBackup.Text+' /s')
   else
    UB.FilesToBackup.Add(FilesToBackup.Text+' /s');
   UB.Backup;
end;

procedure TForm1.UBFileFound(Sender: TObject);
begin
   Status.SimpleText := UB.FileAtWork;
   Application.ProcessMessages;
end;

procedure TForm1.UBPercent(Sender: TObject);
begin
   Progress.Position := UB.Percent;
   Application.ProcessMessages;
end;

procedure TForm1.UBReady(Sender: TObject);
begin
   Screen.Cursor := crDefault;
end;

procedure TForm1.DriveComboBox1Change(Sender: TObject);
begin
   DirectoryListBox1.Visible := Upcase(Drives.Drive) > 'B';
end;

procedure TForm1.FormShow(Sender: TObject);
begin
   DirectoryListbox2.Directory := 'C:\';
end;

procedure TForm1.BitBtn6Click(Sender: TObject);
var ecode : Integer;
begin
   Screen.Cursor := crHourglass;
   UB.BackupOn   := DirectoryListBox1.Directory;
   UB.Overwrite  := FALSE;
   UB.RedirectRestore := TRUE;
   UB.RestoreTo  := DirectoryListBox2.Directory;
   UB.UseLogFile := NO_LOG;
   if UseLog.Checked then
   begin
      UB.UseLogFile := OVERWRITE_LOG;
      UB.LogFileName:= LogFileName.Text;
   end;
   ecode := UB.Restore;
   if ecode>0 then MessageDlg('Returncode ='+inttostr(ecode),mtWarning,[mbok],-1);
end;

procedure TForm1.UBStartFileScan(Sender: TObject);
begin
   Status.SimpleText := 'Suche Dateien';
   Application.ProcessMessages;
end;

procedure TForm1.UBNextFile(Sender: TObject);
begin
   Status.SimpleText := UB.FileAtWork;
end;

procedure TForm1.UseLogClick(Sender: TObject);
begin
  logfilename.Enabled := uselog.Checked;
end;

end.
